"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var InMemoryCache = /** @class */ (function () {
    function InMemoryCache() {
        // CACHE_TIME_KEY: string = "floodgate_cache_time";
        // refreshInterval: number = 120;
        // cacheTime: number = 0;
        this.cache = {};
    }
    // constructor() {
    // }
    InMemoryCache.prototype.Get = function (key) {
        return this.cache[key];
    };
    InMemoryCache.prototype.Set = function (key, value) {
        this.cache[key] = value;
    };
    return InMemoryCache;
}());
exports.InMemoryCache = InMemoryCache;
var LocalStorageCache = /** @class */ (function () {
    function LocalStorageCache() {
    }
    LocalStorageCache.prototype.Get = function (key) {
        if (localStorage.getItem(key) !== null) {
            // @ts-ignore <ts(2322)>
            var value = localStorage.getItem(key);
            var result = JSON.parse(value);
            return result;
        }
        return;
    };
    LocalStorageCache.prototype.Set = function (key, value) {
        var encoded = JSON.stringify(value);
        localStorage.setItem(key, encoded);
    };
    return LocalStorageCache;
}());
exports.LocalStorageCache = LocalStorageCache;
